FAQ Search Today's Posts Mark Forums Read
» Video Reviews

» Linux Archive

Linux-archive is a website aiming to archive linux email lists and to make them easily accessible for linux users/developers.


» Sponsor

» Partners

» Sponsor

Go Back   Linux Archive > Gentoo > Gentoo Development

 
 
LinkBack Thread Tools
 
Old 03-01-2009, 06:34 AM
Jesus Rivero
 
Default dev-lang/python-2.6* unmask

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Hello guys,

~ As some of you may know, Python-2.6 was launched on Oct 1st, 2008
and have been sitting in the tree since Oct 5th. That is the official
production version of the Python programming language. That means,
python-2.5 is, according to the Python Project, officially old.


~ However, 2.6 version in the tree has been masked because some
packages are affected by some minor changes in the language. We added a
tracker bug [0] to keep maintainers informed of bugs/errors in their
packages regarding the transition from 2.5 to 2.6. This tracker was
opened on June 30th 2008 and still has opened bugs.


~ The Python team has lay off a plan to unmask Python-2.6 in a
month. In order to do so, we ask for your collaboration on fixing the
bugs still opened in that tracker so we can unmask it safely. The
majority of the bugs listed in there are "relatively" easy to fix and if
you don't have the time to do it, please, don't hesitate to ask for our
help, we'll be glad to give you a hand closing some of them (we just
need a "clear" from the team or dev to do so)


~ Although those opened bugs are blocking the tracker already,
I'll provide you with a compiled list so you don't even have to open a
browser or open a shell to run bugz .


~ KDE Team:
~ http://bugs.gentoo.org/show_bug.cgi?id=239233 - [PATCH]
kde-base/superkaramba-3.5.10 should support dev-lang/python:2.6
~ http://bugs.gentoo.org/show_bug.cgi?id=253582 - [PATCH]
kde-base/dcoppython-3.5.10 fails with python-2.6


~ Java Team:
~ http://bugs.gentoo.org/show_bug.cgi?id=239479 - [PATCH]
dev-java/javatoolkit fails with python-2.6
~ http://bugs.gentoo.org/show_bug.cgi?id=246780 -
dev-java/ant-core-1.7.1-r2 fails to build with dev-lang/python:2.6


~ CJK Team:
~ http://bugs.gentoo.org/show_bug.cgi?id=255210 -
app-i18n/skim-1.4.5-r2 build fails with Python 2.6


~ SCI Team:
~ http://bugs.gentoo.org/show_bug.cgi?id=258219 -
dev-python/numpy-1.2.1 - selftest bugs though required for python-2.6
compatibility


~ Caster:
~ http://bugs.gentoo.org/show_bug.cgi?id=243802 -
app-office/taskcoach calls object.__init__ with arguments, which fails
in python-2.6


~ Lack:
~ http://bugs.gentoo.org/show_bug.cgi?id=246786 -
Version bump: dev-python/gdata-1.2.4


~ Proaudio:
~ http://bugs.gentoo.org/show_bug.cgi?id=251003 -
[PATCH] media-libs/aubio-0.3.2-r1 not compatible with dev-lang/python-2.6


~ Matsuu:
~ http://bugs.gentoo.org/show_bug.cgi?id=258364 -
sys-devel/distcc-3.1{,-r1} explictly compiles with python-2.5 even with
python-2.6 selected


~ Thanks a lot for your help, we'll be waiting to hear from you.

~ Best regards,

[0] http://bugs.gentoo.org/show_bug.cgi?id=230205 - [TRACKER] Python-2.6
incompatible packages



Jesus Rivero (Neurogeek)
Gentoo Python Team
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v2.0.9 (GNU/Linux)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org

iEYEARECAAYFAkmqOmgACgkQdIssYB9vBoNryQCeICf6jUcfVd lhNEHRlKdPrK/d
VO8AnjCRDgbO/9zWw+Z2vBWt7egyrAYb
=8Xvr
-----END PGP SIGNATURE-----
 

Thread Tools




All times are GMT. The time now is 12:13 AM.

VBulletin, Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Content Relevant URLs by vBSEO ©2007, Crawlability, Inc.
Copyright 2007 - 2008, www.linux-archive.org